View Issue Details

IDProjectCategoryView StatusLast Update
0003382SOGoWeb Mailpublic2020-07-30 15:17
ReporterSergey Urushkin Assigned Tofrancis  
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
Platform[Server] LinuxOSUbuntuOS Version14.04 LTS
Product Version2.3.2 
Target Version3.0.0Fixed in Version5.0.0 
Summary0003382: Support HTML5 desktop notifications
Description

That would be nice, if SOGo Web Mail client (and may be other parts of Web client) support HTML5 desktop notifications about new mail, event, etc. Since Chrome and Firefox support HTML5-notifications pretty well, that would be really useful.

Tagsfoo

Relationships

has duplicate 0004295 resolvedfrancis Calendar popup reminders are not enough visibles 

Activities

ytzelf

ytzelf

2019-01-17 10:52

reporter   ~0013267

Last edited: 2019-01-17 10:52

View 2 revisions

That'd be really helpful; any chance to see it implemented medium term?

abma

abma

2019-07-12 04:02

reporter   ~0013668

+1

doesn't look this difficult IMHO:

https://developer.mozilla.org/en-US/docs/Web/API/notification

Jesus Campos

Jesus Campos

2019-10-23 06:48

reporter   ~0013835

+1

rof

rof

2019-11-01 03:34

reporter   ~0013875

+1

dragoangel

dragoangel

2020-04-04 13:51

reporter   ~0014262

+1

Related Changesets

sogo: master 8205acc5

2020-07-29 16:31:19

francis

Details Diff
feat(web): support desktop notifications, add global inbox polling

Fixes 0001234, fixes 0003382, fixes 0004295
Affected Issues
0001234, 0003382, 0004295
mod - UI/PreferencesUI/English.lproj/Localizable.strings Diff File
mod - UI/Templates/MailerUI/UIxMailFolderTemplate.wox Diff File
mod - UI/Templates/PreferencesUI/UIxPreferences.wox Diff File
rm - UI/WebServerResources/js/Common/Alarm.service.js Diff File
mod - UI/WebServerResources/js/Common/navController.js Diff File
mod - UI/WebServerResources/js/Common/utils.js Diff File
mod - UI/WebServerResources/js/Mailer/MailboxController.js Diff File
mod - UI/WebServerResources/js/Preferences/Preferences.service.js Diff File
mod - UI/WebServerResources/js/Preferences/PreferencesController.js Diff File
mod - UI/WebServerResources/js/Scheduler/CalendarListController.js Diff File
mod - UI/WebServerResources/js/Scheduler/ComponentController.js Diff File

sogo: master 87cf5b47

2020-07-30 15:13:15

francis

Details Diff
feat(web): support desktop notifications, add global inbox polling

Fixes 0001234, fixes 0003382, fixes 0004295
Affected Issues
0001234, 0003382, 0004295
mod - UI/MailerUI/UIxMailListActions.m Diff File

Issue History

Date Modified Username Field Change
2015-11-06 06:48 Sergey Urushkin New Issue
2015-11-06 08:31 francis Target Version => 3.0.0
2017-09-21 08:26 francis Relationship added has duplicate 0004295
2019-01-17 10:52 ytzelf Note Added: 0013267
2019-01-17 10:52 ytzelf Note Edited: 0013267 View Revisions
2019-07-12 04:02 abma Note Added: 0013668
2019-10-23 06:48 Jesus Campos Note Added: 0013835
2019-11-01 03:34 rof Note Added: 0013875
2019-11-18 11:22 francis Tag Attached: foo
2020-04-04 13:51 dragoangel Note Added: 0014262
2020-07-29 16:40 francis Changeset attached => sogo master 8205acc5
2020-07-29 16:40 francis Assigned To => francis
2020-07-29 16:40 francis Resolution open => fixed
2020-07-29 16:41 francis Status new => resolved
2020-07-29 16:41 francis Fixed in Version => 5.0.0
2020-07-30 15:17 francis Changeset attached => sogo master 87cf5b47